Bug 970137 - Review Request: log4j-jboss-logmanager - JBoss Log4j Emulation
Review Request: log4j-jboss-logmanager - JBoss Log4j Emulation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 10:09 EDT by Marek Goldmann
Modified: 2014-06-11 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-04 08:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Marek Goldmann 2013-06-03 10:18:48 EDT
Added license, without changing the release.

Spec URL: http://goldmann.fedorapeople.org/package_review/log4j-jboss-logmanager/2/log4j-jboss-logmanager.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/log4j-jboss-logmanager/2/log4j-jboss-logmanager-1.0.2-1.fc18.src.rpm
Fedora Account System Username: goldmann

Description:

This package contains the JBoss Log4J Emulation.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5459303
Comment 2 gil cattaneo 2013-06-03 12:18:16 EDT
would like to take this review
Comment 3 gil cattaneo 2013-06-03 13:40:49 EDT
Manual review, cause in normal mode build fail:
[ERROR] /builddir/build/BUILD/log4j-jboss-logmanager-1.0.2.Final/src/main/java/org/apache/log4j/spi/LoggingEvent.java:[106,145] cannot find symbol
  symbol:   variable NO_FORMAT
  location: class org.jboss.logmanager.ExtLogRecord.FormatStyle


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in log4j-
     jboss-logmanager-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 10 files have unknown license.
     Detailed output of licensecheck in /home/gil/970137-log4j-jboss-
     logmanager/srpm/review-log4j-jboss-logmanager/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Fully versioned dependency in subpackages, if present.
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: Reviewer should test that the package builds in mock.
[!]: Dist tag is present.
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: log4j-jboss-logmanager-1.0.2-1.fc20.noarch.rpm
          log4j-jboss-logmanager-javadoc-1.0.2-1.fc20.noarch.rpm
log4j-jboss-logmanager-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint log4j-jboss-logmanager log4j-jboss-logmanager-javadoc
log4j-jboss-logmanager-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
log4j-jboss-logmanager (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(log4j:log4j)
    mvn(org.jboss.logmanager:jboss-logmanager)

log4j-jboss-logmanager-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
log4j-jboss-logmanager:
    log4j-jboss-logmanager
    mvn(org.jboss.logmanager:log4j-jboss-logmanager)

log4j-jboss-logmanager-javadoc:
    log4j-jboss-logmanager-javadoc



Source checksums
----------------
https://github.com/jboss-logging/log4j-jboss-logmanager/archive/1.0.2.Final.tar.gz :
  CHECKSUM(SHA256) this package     : 97d4b4c8900a63f4b21234d2a0709b7cc4b848c26c808d625e5511686f371fb8
  CHECKSUM(SHA256) upstream package : 97d4b4c8900a63f4b21234d2a0709b7cc4b848c26c808d625e5511686f371fb8


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-i386
Command line :/usr/bin/fedora-review -vpn log4j-jboss-logmanager

approved
Comment 4 Marek Goldmann 2013-06-04 06:09:02 EDT
Thanks for review! The failure is because you haven't build it on Rawhide and this package will be pushed only for Rawhide.

New Package SCM Request
=======================
Package Name: log4j-jboss-logmanager
Short Description: JBoss Log4j Emulation
Owners: goldmann
Comment 5 Gwyn Ciesla 2013-06-04 08:32:11 EDT
Git done (by process-git-requests).
Comment 6 Marek Goldmann 2014-06-11 05:08:06 EDT
Package Change Request
======================
Package Name: log4j-jboss-logmanager
New Branches: f20
Owners: goldmann
Comment 7 Gwyn Ciesla 2014-06-11 06:12:51 EDT
f20 branch already exists.

Note You need to log in before you can comment on or make changes to this bug.